Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.placer.value
Class ValuePlacer

    java.lang.Object
      org.optaplanner.core.impl.constructionheuristic.placer.AbstractPlacer
          org.optaplanner.core.impl.constructionheuristic.placer.value.ValuePlacer

All Implemented Interfaces:
  EventListener, Placer, SolverPhaseLifecycleListener, SolverLifecycleListener

    public class ValuePlacer

extends AbstractPlacer

Field Summary
`protected boolean` | `assertExpectedUndoMoveScore`
`protected boolean` | `assertMoveScoreFromScratch`
`protected int` | `selectedCountLimit`
`protected Termination` | `termination`
`protected ValueSelector` | `valueSelector`
`protected PlanningVariableDescriptor` | `variableDescriptor`

Fields inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractPlacer
`logger, solverPhaseLifecycleSupport, workingRandom`

Constructor Summary
`ValuePlacer(Termination termination, ValueSelector valueSelector, int selectedCountLimit)`

Method Summary
`PlanningVariableDescriptor` | `getVariableDescriptor()`
`ConstructionHeuristicMoveScope` | `nominateMove(ConstructionHeuristicStepScope stepScope)`
`void` | `setAssertExpectedUndoMoveScore(boolean assertExpectedUndoMoveScore)`
`void` | `setAssertMoveScoreFromScratch(boolean assertMoveScoreFromScratch)`

Methods inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractPlacer
`phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### termination

    protected final Termination termination

### valueSelector

    protected final ValueSelector valueSelector

### variableDescriptor

    protected final PlanningVariableDescriptor variableDescriptor

### selectedCountLimit

    protected final int selectedCountLimit

### assertMoveScoreFromScratch

    protected boolean assertMoveScoreFromScratch

### assertExpectedUndoMoveScore

    protected boolean assertExpectedUndoMoveScore

Constructor Detail

### ValuePlacer

    public ValuePlacer(Termination termination,
                       ValueSelector valueSelector,
                       int selectedCountLimit)

Method Detail

### getVariableDescriptor

    public PlanningVariableDescriptor getVariableDescriptor()

### setAssertMoveScoreFromScratch

    public void setAssertMoveScoreFromScratch(boolean assertMoveScoreFromScratch)

### setAssertExpectedUndoMoveScore

    public void setAssertExpectedUndoMoveScore(boolean assertExpectedUndoMoveScore)

### nominateMove

    public ConstructionHeuristicMoveScope nominateMove(ConstructionHeuristicStepScope stepScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.